> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magnific.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 2.6 Pro - Create video from text or image



## OpenAPI

````yaml post /v1/ai/image-to-video/kling-v2-6-pro
openapi: 3.0.0
info:
  description: >-
    The Magnific API is your gateway to a vast collection of high-quality
    digital resources for your applications and projects. As a leading platform,
    it offers a wide range of graphics, including vectors, photos,
    illustrations, icons, PSD templates, and more, all curated by talented
    designers from around the world.
  title: Magnific API
  version: 1.0.0
servers:
  - description: B2B API Production V1
    url: https://api.magnific.com
security:
  - magnificApiKey: []
paths:
  /v1/ai/image-to-video/kling-v2-6-pro:
    post:
      tags:
        - image-to-video
        - kling-v2-6-pro
        - background_tasks
      summary: Kling 2.6 Pro - Create video from text or image
      operationId: postAiImageToVideoKlingV26Pro
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/postAiImageToVideoKlingV26Pro_request'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/get_style_transfer_task_status_200_response
          description: OK
        '400':
          content:
            application/json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Parameter 'page' must be greater than 0
                invalid_query:
                  summary: Parameter 'query' is not valid
                  value:
                    message: Parameter 'query' must not be empty
                invalid_filter:
                  summary: Parameter 'filter' is not valid
                  value:
                    message: Parameter 'filter' is not valid
                generic_bad_request:
                  summary: Bad Request
                  value:
                    message: Parameter ':attribute' is not valid
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
            application/problem+json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Validation error
                    invalid_params:
                      - field: page
                        reason: Parameter 'page' must be greater than 0
                      - field: per_page
                        reason: Parameter 'per_page' must be greater than 0
              schema:
                $ref: >-
                  #/components/schemas/get_all_style_transfer_tasks_400_response_1
          description: >-
            Bad Request - The server could not understand the request due to
            invalid syntax.
        '401':
          content:
            application/json:
              examples:
                invalid_api_key:
                  summary: API key is not valid
                  value:
                    message: Invalid API key
                missing_api_key:
                  summary: API key is not provided
                  value:
                    message: Missing API key
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
          description: >-
            Unauthorized - The client must authenticate itself to get the
            requested response.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_500_response'
          description: >-
            Internal Server Error - The server has encountered a situation it
            doesn't know how to handle.
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_503_response'
          description: Service Unavailable
components:
  schemas:
    postAiImageToVideoKlingV26Pro_request:
      anyOf:
        - $ref: '#/components/schemas/kling-request-v26-text-to-video'
        - $ref: '#/components/schemas/kling-request-v26-image-to-video'
    get_style_transfer_task_status_200_response:
      example:
        data:
          task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          status: CREATED
          generated:
            - https://openapi-generator.tech
            - https://openapi-generator.tech
      properties:
        data:
          $ref: '#/components/schemas/task-detail'
      required:
        - data
      type: object
    get_all_style_transfer_tasks_400_response:
      example:
        message: message
      properties:
        message:
          type: string
      type: object
    get_all_style_transfer_tasks_400_response_1:
      properties:
        problem:
          $ref: >-
            #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem
      type: object
    get_all_style_transfer_tasks_500_response:
      example:
        message: Internal Server Error
      properties:
        message:
          example: Internal Server Error
          type: string
      type: object
    get_all_style_transfer_tasks_503_response:
      example:
        message: Service Unavailable. Please try again later.
      properties:
        message:
          example: Service Unavailable. Please try again later.
          type: string
      type: object
    kling-request-v26-text-to-video:
      properties:
        webhook_url:
          description: Webhook URL to notify the user when the task is completed
          format: uri
          type: string
        prompt:
          description: >-
            Text prompt describing the desired video to generate, cannot exceed
            2500 characters
          maxLength: 2500
          type: string
        negative_prompt:
          description: >-
            Text prompt describing what to avoid in the generated video, cannot
            exceed 2500 characters
          maxLength: 2500
          type: string
        cfg_scale:
          default: 0.5
          description: >-
            Flexibility in generation; The higher the value, the lower the
            model's degree of flexibility, and the stronger the relevance to the
            user's prompt.
          format: float
          maximum: 1
          minimum: 0
          type: number
        aspect_ratio:
          $ref: '#/components/schemas/kling-v26-aspect-ratio'
        duration:
          description: Duration of the generated video in seconds
          enum:
            - '5'
            - '10'
          type: string
        generate_audio:
          description: Whether to generate audio for the video
          type: boolean
      required:
        - duration
        - prompt
      type: object
    kling-request-v26-image-to-video:
      properties:
        webhook_url:
          description: Webhook URL to notify the user when the task is completed
          format: uri
          type: string
        image:
          description: >-
            Reference Image. Supports Base64 encoding or URL (ensure
            accessibility). For URL, must be publicly accessible. The image file
            size cannot exceed 10MB, and the resolution should not be less than
            300x300px. Aspect ratio should be between 1:2.5 ~ 2.5:1.
          format: byte
          type: string
        prompt:
          description: >-
            Text prompt describing the desired motion in the video, cannot
            exceed 2500 characters
          maxLength: 2500
          type: string
        negative_prompt:
          description: >-
            Text prompt describing what to avoid in the generated video, cannot
            exceed 2500 characters
          maxLength: 2500
          type: string
        cfg_scale:
          default: 0.5
          description: >-
            Flexibility in generation; The higher the value, the lower the
            model's degree of flexibility, and the stronger the relevance to the
            user's prompt.
          format: float
          maximum: 1
          minimum: 0
          type: number
        aspect_ratio:
          $ref: '#/components/schemas/kling-v26-aspect-ratio'
        duration:
          description: Duration of the generated video in seconds
          enum:
            - '5'
            - '10'
          type: string
        generate_audio:
          description: Whether to generate audio for the video
          type: boolean
      required:
        - duration
        - image
      type: object
    task-detail:
      allOf:
        - $ref: '#/components/schemas/task'
        - properties:
            generated:
              items:
                description: URL of the generated image
                format: uri
                type: string
              type: array
          required:
            - generated
          type: object
      example:
        task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        status: CREATED
        generated:
          - https://openapi-generator.tech
          - https://openapi-generator.tech
    get_all_style_transfer_tasks_400_response_1_problem:
      properties:
        message:
          example: Validation error
          type: string
        invalid_params:
          items:
            $ref: >-
              #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner
          type: array
      required:
        - invalid_params
        - message
      type: object
    kling-v26-aspect-ratio:
      default: widescreen_16_9
      description: Aspect ratio for the generated video
      enum:
        - widescreen_16_9
        - social_story_9_16
        - square_1_1
      type: string
    task:
      example:
        task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        status: CREATED
      properties:
        task_id:
          description: Task identifier
          format: uuid
          type: string
        status:
          description: Task status
          enum:
            - CREATED
            - IN_PROGRESS
            - COMPLETED
            - FAILED
          type: string
      required:
        - status
        - task_id
      type: object
    get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner:
      properties:
        name:
          description: Name of the invalid parameter.
          example: page
          type: string
        field:
          description: Field of the invalid parameter. Mirrors `name`.
          example: page
          type: string
        reason:
          example: Parameter 'page' must be greater than 0
          type: string
      required:
        - field
        - name
        - reason
      type: object
  securitySchemes:
    magnificApiKey:
      description: >
        Your Magnific API key. Required for authentication. [Learn how to obtain
        an API key](https://docs.magnific.com/quickstart)
      in: header
      name: x-magnific-api-key
      type: apiKey

````